explain_freopen_or_die(3)

NAME
explain_freopen_or_die - open file and report errors

SYNOPSIS
#include <libexplain/freopen.h>
void explain_freopen_or_die(const char *pathname, const char *flags, FILE *fp);

DESCRIPTION
The explain_freopen_or_die function is used to reopen a file via the freopen(3) system call. On failure it will print an explanation, obtained from the linexplain_freopen(3) function, on the standard error stream and then exit.

This function is intended to be used in a fashion similar to the following example:
    explain_freopen_or_die(pathname, flags, fp);

pathname
    The pathname, exactly as to be passed to the freopen(3) system call.

flags
    The flags, exactly as to be passed to the freopen(3) system call.

fp  The fp, exactly as to be passed to the freopen(3) system call.

Returns:
    Only ever return on success. Never returns on failure.

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller

AUTHOR
Written by Peter Miller <pmiller@opensource.org.au>